﻿<Graph ClassName="EPFleetCard" Source="#CDATA" IsNew="True" FileType="NewDac">
    <CDATA name="Source"><![CDATA[using System;
using PX.Data;
using PX.Objects.AP;
using PX.Objects.EP;

namespace FleetCard
{
    [Serializable]
    public class EPFleetCard : IBqlTable
    {
        #region FleetCardID
        [PXDBIdentity()]
        public virtual int? FleetCardID { get; set; }
        public abstract class fleetCardID : PX.Data.BQL.BqlInt.Field<fleetCardID> { }
        #endregion

        #region FleetCardCD
        [PXDBString(30, IsUnicode = true, IsKey = true, InputMask = "")]
        [PXUIField(DisplayName = "Fleet Card ID")]
        [PXSelector(typeof(Search<fleetCardCD>), typeof(fleetCardCD), typeof(fleetCardNo), typeof(cardHolder), typeof(creditLimit))]
        [PXDefault()]
        public virtual string FleetCardCD { get; set; }
        public abstract class fleetCardCD : PX.Data.BQL.BqlString.Field<fleetCardCD> { }
        #endregion

        #region FleetCardNo
        [PXDBString(40, IsUnicode = true, InputMask = "")]
        [PXUIField(DisplayName = "Fleet Card Number")]
        [PXDefault()]
        [PXSelector(typeof(Search<fleetCardNo>), ValidateValue = false)]
        public virtual string FleetCardNo { get; set; }
        public abstract class fleetCardNo : PX.Data.BQL.BqlString.Field<fleetCardNo> { }
        #endregion

        #region CardHolder
        [PXDBInt]
        [PXEPEmployeeSelector]
        [PXUIField(DisplayName = "Cardholder")]
        [PXDefault()]
        public virtual int? CardHolder { get; set; }
        public abstract class cardHolder : PX.Data.BQL.BqlInt.Field<cardHolder> { }
        #endregion

        #region VendorID
        [Vendor()]
        public virtual int? VendorID { get; set; }
        public abstract class vendorID : PX.Data.BQL.BqlInt.Field<vendorID> { }
        #endregion

        #region CreditLimit
        [PXDBDecimal()]
        [PXDefault(TypeCode.Decimal, "0.00")]
        [PXUIField(DisplayName = "Credit Limit")]
        public virtual Decimal? CreditLimit { get; set; }
        public abstract class creditLimit : PX.Data.BQL.BqlDecimal.Field<creditLimit> { }
        #endregion
        
        #region CreatedByID
        public abstract class createdByID : PX.Data.BQL.BqlGuid.Field<createdByID> { }
        protected Guid? _CreatedByID;
        [PXDBCreatedByID()]
        public virtual Guid? CreatedByID
        {
            get
            {
                return this._CreatedByID;
            }
            set
            {
                this._CreatedByID = value;
            }
        }
        #endregion
        #region CreatedByScreenID
        public abstract class createdByScreenID : PX.Data.BQL.BqlString.Field<createdByScreenID> { }
        protected String _CreatedByScreenID;
        [PXDBCreatedByScreenID()]
        public virtual String CreatedByScreenID
        {
            get
            {
                return this._CreatedByScreenID;
            }
            set
            {
                this._CreatedByScreenID = value;
            }
        }
        #endregion
        #region CreatedDateTime
        public abstract class createdDateTime : PX.Data.BQL.BqlDateTime.Field<createdDateTime> { }
        protected DateTime? _CreatedDateTime;
        [PXDBCreatedDateTime]
        [PXUIField(DisplayName = PXDBLastModifiedByIDAttribute.DisplayFieldNames.CreatedDateTime, Enabled = false, IsReadOnly = true)]
        public virtual DateTime? CreatedDateTime
        {
            get
            {
                return this._CreatedDateTime;
            }
            set
            {
                this._CreatedDateTime = value;
            }
        }
        #endregion
        #region LastModifiedByID
        public abstract class lastModifiedByID : PX.Data.BQL.BqlGuid.Field<lastModifiedByID> { }
        protected Guid? _LastModifiedByID;
        [PXDBLastModifiedByID()]
        public virtual Guid? LastModifiedByID
        {
            get
            {
                return this._LastModifiedByID;
            }
            set
            {
                this._LastModifiedByID = value;
            }
        }
        #endregion
        #region LastModifiedByScreenID
        public abstract class lastModifiedByScreenID : PX.Data.BQL.BqlString.Field<lastModifiedByScreenID> { }
        protected String _LastModifiedByScreenID;
        [PXDBLastModifiedByScreenID()]
        public virtual String LastModifiedByScreenID
        {
            get
            {
                return this._LastModifiedByScreenID;
            }
            set
            {
                this._LastModifiedByScreenID = value;
            }
        }
        #endregion
        #region LastModifiedDateTime
        public abstract class lastModifiedDateTime : PX.Data.BQL.BqlDateTime.Field<lastModifiedDateTime> { }
        protected DateTime? _LastModifiedDateTime;
        [PXDBLastModifiedDateTime]
        [PXUIField(DisplayName = PXDBLastModifiedByIDAttribute.DisplayFieldNames.LastModifiedDateTime, Enabled = false, IsReadOnly = true)]
        public virtual DateTime? LastModifiedDateTime
        {
            get
            {
                return this._LastModifiedDateTime;
            }
            set
            {
                this._LastModifiedDateTime = value;
            }
        }
        #endregion
        #region tstamp
        public abstract class Tstamp : PX.Data.BQL.BqlByteArray.Field<Tstamp> { }
        protected Byte[] _tstamp;
        [PXDBTimestamp()]
        public virtual Byte[] tstamp
        {
            get
            {
                return this._tstamp;
            }
            set
            {
                this._tstamp = value;
            }
        }
        #endregion

    }
}]]></CDATA>
</Graph>